Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1674142 - Mesa 18.3.3 is available
Summary: Mesa 18.3.3 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-09 10:19 UTC by hx
Modified: 2019-02-18 02:04 UTC (History)
12 users (show)

Fixed In Version: mesa-18.3.3-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-18 02:04:03 UTC
Type: Bug


Attachments (Terms of Use)

Description hx 2019-02-09 10:19:30 UTC
Description of problem:
Mesa 18.3.x beanch is available with latest point release of 18.3.3. Since Mesa is already working on 19.x , it makes complete sense to offer latest available 18.x branch to Fedora 29 both form people satisfaction and small gap between fedora 20 and mesa 18.3.x releases. Also, a lot of people are now buying AMD Radeon RX5xx family GPUs, so the fixes are really matter of system stability.

Version-Release number of selected component (if applicable):
Currently latest fedora built is Mesa 18.2.8.

How reproducible:
Easily.

Steps to Reproduce:
1. Install Fedora 29 Workstation
2. Update to latest available package versions via DNF.
3. See 18.2.8 version.

Actual results:
Extended renderer info (GLX_MESA_query_renderer):
    Vendor: X.Org (0x1002)
    Device: Radeon RX 580 Series (POLARIS10, DRM 3.27.0, 4.20.3-200.fc29.x86_64, LLVM 7.0.0) (0x67df)
    Version: 18.2.8
    Accelerated: yes
    Video memory: 8192MB
    Unified memory: no
    Preferred profile: core (0x1)
    Max core profile version: 4.5
    Max compat profile version: 4.4
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.2

Expected results:
Mesa 18.3.x provided data

Additional info:
See https://bodhi.fedoraproject.org/updates/FEDORA-2018-ced2065bea

Comment 1 hx 2019-02-09 11:31:08 UTC
Also, note the Performance tests done by PTS and you will see that 18.3 is very pleasant experience for Red Hat / Fedora users. See the link: https://www.phoronix.com/scan.php?page=article&item=mesa190-rad-jan&num=1

Comment 2 Fedora Update System 2019-02-12 13:56:25 UTC
mesa-18.3.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cefa2d1b59

Comment 3 Fedora Update System 2019-02-12 20:26:18 UTC
mesa-18.3.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cefa2d1b59

Comment 4 Fedora Update System 2019-02-14 09:27:45 UTC
mesa-18.3.3-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cefa2d1b59

Comment 5 Fedora Update System 2019-02-15 02:56:59 UTC
mesa-18.3.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cefa2d1b59

Comment 6 Fedora Update System 2019-02-18 02:04:03 UTC
mesa-18.3.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.